Skip to navigation

Create a customer

Create a new customer for the organization

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Request

This endpoint expects an object.
emailstringRequired
An email address.
namestringRequired
The name of the customer.
addressobject or nullOptional

Response

emailstring
An email address.
idstringformat: "uuid"
namestring
Name of customer.
addressobject or nullOptional
deletedAtobject or nullOptional

Errors

400
Bad Request Error